]> git.sesse.net Git - vlc/commitdiff
Build and packaging files for Opie and GPE.
authorJean-Paul Saman <jpsaman@videolan.org>
Wed, 4 Dec 2002 21:03:38 +0000 (21:03 +0000)
committerJean-Paul Saman <jpsaman@videolan.org>
Wed, 4 Dec 2002 21:03:38 +0000 (21:03 +0000)
15 files changed:
ipkg/Makefile.am
ipkg/Makefile.in [new file with mode: 0644]
ipkg/control
ipkg/control.gpe [new file with mode: 0644]
ipkg/control.opie
ipkg/postinst.gpe [new file with mode: 0755]
ipkg/postinst.opie
ipkg/postrm.gpe [new file with mode: 0755]
ipkg/postrm.opie
ipkg/rules
ipkg/rules.gpe [new file with mode: 0755]
ipkg/rules.opie [new file with mode: 0755]
ipkg/vlc.desktop
ipkg/vlc.gpe [new file with mode: 0755]
ipkg/vlc.opie [new file with mode: 0755]

index e2af9f6fa13ec7450ee7da261e6449bdb7b84176..a27c687c18eeef9e9367e7ad4ba138a559b195da 100644 (file)
@@ -1 +1 @@
-EXTRA_DIST = control patch rules
+EXTRA_DIST = control patch rules control.gpe control.opie rules.gpe rules.opie postinst.gpe postinst.opie postrm.gpe postrm.opie vlc.desktop vlc.gpe vlc.opie
diff --git a/ipkg/Makefile.in b/ipkg/Makefile.in
new file mode 100644 (file)
index 0000000..9b286b2
--- /dev/null
@@ -0,0 +1,339 @@
+# Makefile.in generated automatically by automake 1.5 from Makefile.am.
+
+# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
+# Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+SHELL = @SHELL@
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+
+bindir = @bindir@
+sbindir = @sbindir@
+libexecdir = @libexecdir@
+datadir = @datadir@
+sysconfdir = @sysconfdir@
+sharedstatedir = @sharedstatedir@
+localstatedir = @localstatedir@
+libdir = @libdir@
+infodir = @infodir@
+mandir = @mandir@
+includedir = @includedir@
+oldincludedir = /usr/include
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+top_builddir = ..
+
+ACLOCAL = @ACLOCAL@
+AUTOCONF = @AUTOCONF@
+AUTOMAKE = @AUTOMAKE@
+AUTOHEADER = @AUTOHEADER@
+
+INSTALL = @INSTALL@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = @program_transform_name@
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_alias = @build_alias@
+build_triplet = @build@
+host_alias = @host_alias@
+host_triplet = @host@
+target_alias = @target_alias@
+target_triplet = @target@
+ALIASES = @ALIASES@
+AMTAR = @AMTAR@
+ARCH = @ARCH@
+ARTS_CONFIG = @ARTS_CONFIG@
+ASM = @ASM@
+AUTOMAKE_SUCKS = @AUTOMAKE_SUCKS@
+AWK = @AWK@
+BCBUILDER = @BCBUILDER@
+BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
+BUILTINS = @BUILTINS@
+CATALOGS = @CATALOGS@
+CATOBJEXT = @CATOBJEXT@
+CC = @CC@
+CFLAGS_OPTIM = @CFLAGS_OPTIM@
+CFLAGS_OPTIM_NODEBUG = @CFLAGS_OPTIM_NODEBUG@
+CFLAGS_TUNING = @CFLAGS_TUNING@
+CFLAGS_aout_sdl = @CFLAGS_aout_sdl@
+CFLAGS_arts = @CFLAGS_arts@
+CFLAGS_builtins = @CFLAGS_builtins@
+CFLAGS_esd = @CFLAGS_esd@
+CFLAGS_familiar = @CFLAGS_familiar@
+CFLAGS_gnome = @CFLAGS_gnome@
+CFLAGS_gnome_main = @CFLAGS_gnome_main@
+CFLAGS_gtk = @CFLAGS_gtk@
+CFLAGS_gtk_main = @CFLAGS_gtk_main@
+CFLAGS_i420_yuy2_mmx = @CFLAGS_i420_yuy2_mmx@
+CFLAGS_idctaltivec = @CFLAGS_idctaltivec@
+CFLAGS_memcpyaltivec = @CFLAGS_memcpyaltivec@
+CFLAGS_motionaltivec = @CFLAGS_motionaltivec@
+CFLAGS_mpeg_video = @CFLAGS_mpeg_video@
+CFLAGS_pics = @CFLAGS_pics@
+CFLAGS_plugins = @CFLAGS_plugins@
+CFLAGS_vlc = @CFLAGS_vlc@
+CFLAGS_vout_sdl = @CFLAGS_vout_sdl@
+CPP = @CPP@
+CPPFLAGS_a52tofloat32 = @CPPFLAGS_a52tofloat32@
+CPPFLAGS_directx = @CPPFLAGS_directx@
+CPPFLAGS_dvd = @CPPFLAGS_dvd@
+CPPFLAGS_dvdplay = @CPPFLAGS_dvdplay@
+CPPFLAGS_dvdread = @CPPFLAGS_dvdread@
+CPPFLAGS_faad = @CPPFLAGS_faad@
+CPPFLAGS_ffmpeg = @CPPFLAGS_ffmpeg@
+CPPFLAGS_ggi = @CPPFLAGS_ggi@
+CPPFLAGS_glide = @CPPFLAGS_glide@
+CPPFLAGS_kde = @CPPFLAGS_kde@
+CPPFLAGS_mad = @CPPFLAGS_mad@
+CPPFLAGS_mozilla = @CPPFLAGS_mozilla@
+CPPFLAGS_qt = @CPPFLAGS_qt@
+CPPFLAGS_qte = @CPPFLAGS_qte@
+CPPFLAGS_ts_dvbpsi = @CPPFLAGS_ts_dvbpsi@
+CPPFLAGS_x11 = @CPPFLAGS_x11@
+CPPFLAGS_xvideo = @CPPFLAGS_xvideo@
+CXX = @CXX@
+CXXFLAGS_qte = @CXXFLAGS_qte@
+DATADIRNAME = @DATADIRNAME@
+DATA_PATH = @DATA_PATH@
+DEPDIR = @DEPDIR@
+ESD_CONFIG = @ESD_CONFIG@
+EXEEXT = @EXEEXT@
+GENCAT = @GENCAT@
+GLIBC21 = @GLIBC21@
+GMOFILES = @GMOFILES@
+GMSGFMT = @GMSGFMT@
+GNOME_CONFIG = @GNOME_CONFIG@
+GTK12_CONFIG = @GTK12_CONFIG@
+GTK_CONFIG = @GTK_CONFIG@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+INSTOBJEXT = @INSTOBJEXT@
+INTLBISON = @INTLBISON@
+INTLLIBS = @INTLLIBS@
+INTLOBJS = @INTLOBJS@
+INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
+LDFLAGS = @LDFLAGS@
+LDFLAGS_a52tofloat32 = @LDFLAGS_a52tofloat32@
+LDFLAGS_aa = @LDFLAGS_aa@
+LDFLAGS_access_http = @LDFLAGS_access_http@
+LDFLAGS_alsa = @LDFLAGS_alsa@
+LDFLAGS_aout_sdl = @LDFLAGS_aout_sdl@
+LDFLAGS_arts = @LDFLAGS_arts@
+LDFLAGS_beos = @LDFLAGS_beos@
+LDFLAGS_builtins = @LDFLAGS_builtins@
+LDFLAGS_directx = @LDFLAGS_directx@
+LDFLAGS_dv = @LDFLAGS_dv@
+LDFLAGS_dvd = @LDFLAGS_dvd@
+LDFLAGS_dvdplay = @LDFLAGS_dvdplay@
+LDFLAGS_dvdread = @LDFLAGS_dvdread@
+LDFLAGS_esd = @LDFLAGS_esd@
+LDFLAGS_faad = @LDFLAGS_faad@
+LDFLAGS_familiar = @LDFLAGS_familiar@
+LDFLAGS_ffmpeg = @LDFLAGS_ffmpeg@
+LDFLAGS_ggi = @LDFLAGS_ggi@
+LDFLAGS_glide = @LDFLAGS_glide@
+LDFLAGS_gnome = @LDFLAGS_gnome@
+LDFLAGS_gnome_main = @LDFLAGS_gnome_main@
+LDFLAGS_gtk = @LDFLAGS_gtk@
+LDFLAGS_gtk_main = @LDFLAGS_gtk_main@
+LDFLAGS_i420_rgb = @LDFLAGS_i420_rgb@
+LDFLAGS_id3tag = @LDFLAGS_id3tag@
+LDFLAGS_idctaltivec = @LDFLAGS_idctaltivec@
+LDFLAGS_imdct = @LDFLAGS_imdct@
+LDFLAGS_imdct3dn = @LDFLAGS_imdct3dn@
+LDFLAGS_imdctsse = @LDFLAGS_imdctsse@
+LDFLAGS_ipv4 = @LDFLAGS_ipv4@
+LDFLAGS_ipv6 = @LDFLAGS_ipv6@
+LDFLAGS_kde = @LDFLAGS_kde@
+LDFLAGS_libvlc = @LDFLAGS_libvlc@
+LDFLAGS_lirc = @LDFLAGS_lirc@
+LDFLAGS_macosx = @LDFLAGS_macosx@
+LDFLAGS_mad = @LDFLAGS_mad@
+LDFLAGS_memcpyaltivec = @LDFLAGS_memcpyaltivec@
+LDFLAGS_motionaltivec = @LDFLAGS_motionaltivec@
+LDFLAGS_mozilla = @LDFLAGS_mozilla@
+LDFLAGS_mp4 = @LDFLAGS_mp4@
+LDFLAGS_ncurses = @LDFLAGS_ncurses@
+LDFLAGS_plugins = @LDFLAGS_plugins@
+LDFLAGS_qnx = @LDFLAGS_qnx@
+LDFLAGS_qt = @LDFLAGS_qt@
+LDFLAGS_qte = @LDFLAGS_qte@
+LDFLAGS_rc = @LDFLAGS_rc@
+LDFLAGS_svgalib = @LDFLAGS_svgalib@
+LDFLAGS_ts_dvbpsi = @LDFLAGS_ts_dvbpsi@
+LDFLAGS_vcd = @LDFLAGS_vcd@
+LDFLAGS_vlc = @LDFLAGS_vlc@
+LDFLAGS_vout_sdl = @LDFLAGS_vout_sdl@
+LDFLAGS_waveout = @LDFLAGS_waveout@
+LDFLAGS_x11 = @LDFLAGS_x11@
+LDFLAGS_xosd = @LDFLAGS_xosd@
+LDFLAGS_xvideo = @LDFLAGS_xvideo@
+LIBEXT = @LIBEXT@
+LIBICONV = @LIBICONV@
+MKINSTALLDIRS = @MKINSTALLDIRS@
+MOC = @MOC@
+MOZILLA_CONFIG = @MOZILLA_CONFIG@
+MSGFMT = @MSGFMT@
+OBJC = @OBJC@
+OBJCFLAGS = @OBJCFLAGS@
+OBJEXT = @OBJEXT@
+PACKAGE = @PACKAGE@
+PLUGINS = @PLUGINS@
+PLUGIN_PATH = @PLUGIN_PATH@
+POFILES = @POFILES@
+POSUB = @POSUB@
+RANLIB = @RANLIB@
+SDL11_CONFIG = @SDL11_CONFIG@
+SDL12_CONFIG = @SDL12_CONFIG@
+SDL_CONFIG = @SDL_CONFIG@
+STRIP = @STRIP@
+SYS = @SYS@
+USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
+USE_NLS = @USE_NLS@
+VERSION = @VERSION@
+WINDRES = @WINDRES@
+XPIDL = @XPIDL@
+am__include = @am__include@
+am__quote = @am__quote@
+install_sh = @install_sh@
+
+EXTRA_DIST = control patch rules
+subdir = ipkg
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES =
+DIST_SOURCES =
+DIST_COMMON = Makefile.am Makefile.in
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
+       cd $(top_srcdir) && \
+         $(AUTOMAKE) --foreign  ipkg/Makefile
+Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
+       cd $(top_builddir) && \
+         CONFIG_HEADERS= CONFIG_LINKS= \
+         CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
+uninstall-info-am:
+tags: TAGS
+TAGS:
+
+
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+
+top_distdir = ..
+distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
+
+distdir: $(DISTFILES)
+       @for file in $(DISTFILES); do \
+         if test -f $$file; then d=.; else d=$(srcdir); fi; \
+         dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+         if test "$$dir" != "$$file" && test "$$dir" != "."; then \
+           $(mkinstalldirs) "$(distdir)/$$dir"; \
+         fi; \
+         if test -d $$d/$$file; then \
+           cp -pR $$d/$$file $(distdir) \
+           || exit 1; \
+         else \
+           test -f $(distdir)/$$file \
+           || cp -p $$d/$$file $(distdir)/$$file \
+           || exit 1; \
+         fi; \
+       done
+check-am: all-am
+check: check-am
+all-am: Makefile
+
+installdirs:
+
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+       @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+         `test -z '$(STRIP)' || \
+           echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+       -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
+
+maintainer-clean-generic:
+       @echo "This command is intended for maintainers to use"
+       @echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic mostlyclean-am
+
+distclean: distclean-am
+
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+info: info-am
+
+info-am:
+
+install-data-am:
+
+install-exec-am:
+
+install-info: install-info-am
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic
+
+uninstall-am: uninstall-info-am
+
+.PHONY: all all-am check check-am clean clean-generic distclean \
+       distclean-generic distdir dvi dvi-am info info-am install \
+       install-am install-data install-data-am install-exec \
+       install-exec-am install-info install-info-am install-man \
+       install-strip installcheck installcheck-am installdirs \
+       maintainer-clean maintainer-clean-generic mostlyclean \
+       mostlyclean-generic uninstall uninstall-am uninstall-info-am
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
index db38f02465b450040729f961f41dd286297ef485..ef945cf3f7639e6ad817365a1e749c5d0f8a4457 100644 (file)
@@ -1,11 +1,12 @@
 Package: vlc
 Section: graphics
 Priority: optional
-Version: 0.5.0
+Version: 0.4.6
 Release: 1
 Architecture: arm
+Conflicts: task-opie, gpe
 Maintainer: Jean-Paul Saman <jpsaman@wxs.nl>,  Christophe Massiot <massiot@via.ecp.fr>
-Depends: sdl, libc6, task-x
+Depends: libc6, task-x, sdl, libgtk1.2
 Copyright: GPL
 Description: VideoLAN Client is a free network-aware MPEG and DVD player.
  VideoLAN is a free MPEG1/2 software solution licensed under GPL. The original 
diff --git a/ipkg/control.gpe b/ipkg/control.gpe
new file mode 100644 (file)
index 0000000..7543766
--- /dev/null
@@ -0,0 +1,17 @@
+Package: gpe-vlc
+Section: graphics
+Priority: optional
+Version: 0.5.0
+Release: 1
+Conflicts: task-opie, vlc
+Architecture: arm
+Maintainer: Jean-Paul Saman <jpsaman@wxs.nl>,  Christophe Massiot <massiot@via.ecp.fr>
+Depends: gpe, libc6, libsdl, libgpewidget0, libgtk1.2 
+Copyright: GPL
+Description: VideoLAN Client is a free network-aware MPEG and DVD player.
+ VideoLAN is a free MPEG1/2 software solution licensed under GPL. The original 
+ source can be found on: 
+ http://www.videolan.org/pub/videolan/vlc/
+ The VideoLAN Client allows to play MPEG1, MPEG2 Transport Streams and 
+ Program Streams from the network or from a file, as well as direct DVD 
+ playback. 
index f5c962036696ff1456c1198f44470e84ec420e6b..cf402cfc6e5f14307a225f6af2815b58d8c82730 100644 (file)
@@ -1,11 +1,12 @@
-Package: vlc
+Package: opie-vlc
 Section: graphics
 Priority: optional
 Version: 0.5.0
 Release: 1
+Conflicts: gpe, vlc
 Architecture: arm
 Maintainer: Jean-Paul Saman <jpsaman@wxs.nl>,  Christophe Massiot <massiot@via.ecp.fr>
-Depends: libc6
+Depends: libc6, task-opie
 Copyright: GPL
 Description: VideoLAN Client is a free network-aware MPEG and DVD player.
  VideoLAN is a free MPEG1/2 software solution licensed under GPL. The original 
diff --git a/ipkg/postinst.gpe b/ipkg/postinst.gpe
new file mode 100755 (executable)
index 0000000..304f9b0
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh
+ldconfig
+if [ -x /usr/bin/update-menus ] && [ ! /usr/bin/update-menus ] ; then 
+   exit $?; 
+fi
index c90ba68a7aa37b1506eca1df7a34e879ee220762..90b9b243642d065235f820cc45fa1e76ecc17ac1 100755 (executable)
@@ -1,3 +1,10 @@
 #!/bin/sh
-ln -s /usr/share/vlc /opt/QtPalmtop/pics/vlc
+ldconfig
+if [ -x /usr/share/videolan ] ; then
+   ln -s /usr/share/videolan /opt/QtPalmtop/pics/videolan
+fi
+# Added support for iPaq 3870
+if [ -x /usr/local/qt-embedded/lib/fonts/fontdir ] ; then
+   ln -s /usr/local/qt-embedded/lib/fonts/fontdir  /opt/QtPalmtop/lib/fonts/fontdir
+fi
 exit 0
diff --git a/ipkg/postrm.gpe b/ipkg/postrm.gpe
new file mode 100755 (executable)
index 0000000..304f9b0
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh
+ldconfig
+if [ -x /usr/bin/update-menus ] && [ ! /usr/bin/update-menus ] ; then 
+   exit $?; 
+fi
index 911eb8dc7149291a6bfd9cb988be10f4424107f8..ef9f42cb12eb0c56a6d8f415163512684fb58a00 100755 (executable)
@@ -1,4 +1,5 @@
 #!/bin/sh
-[ -x /opt/QtPalmtop/pics/vlc ] || rm /opt/QtPalmtop/pics/vlc
+ldconfig
+[ -x /opt/QtPalmtop/pics/videolan ] || rm /opt/QtPalmtop/pics/videolan
 exit 0
 
index 705904a97a33cf1584e22a4124632f2c441c5b7a..9a9d543ea3776842f20ac9de50563a6474b929a2 100755 (executable)
@@ -8,7 +8,7 @@ export CC=arm-linux-gcc
 export LD=arm-linux-ld
 export STRIP=arm-linux-strip
 export CONFIG_FLAGS="--enable-release --prefix=/usr --disable-gtk --enable-fb --enable-sdl --disable-xvideo --disable-plugins --with-tuning=strongarm1100 --x-includes=/skiff/local/arm-linux/include --x-libraries=/skiff/local/arm-linux/lib/X11 --with-sdl-config-path=/skiff/local/bin --with-mad=/skiff/local/arm-linux"
-export VIDDIR="usr/share/vlc"
+export VIDDIR="usr/share/videolan"
 export PIXDIR="usr/share/pixmaps"
 export DESTDIR=/tmp/vlc
 
diff --git a/ipkg/rules.gpe b/ipkg/rules.gpe
new file mode 100755 (executable)
index 0000000..26c5e54
--- /dev/null
@@ -0,0 +1,88 @@
+#!/usr/bin/make -f
+# debian/rules for the VideoLAN Client - uses debhelper.
+# based on Joey Hess's one.
+# Kludged for ipkg
+
+# export PATH="$PATH:/usr/local/arm/2.95.3/bin"
+# Compilation options
+export CC=arm-linux-gcc
+export LD=arm-linux-ld
+export AR=arm-linux-ar
+export RANLIB=arm-linux-ranlib
+export STRIP=arm-linux-strip
+export CONFIG_FLAGS="--enable-release --prefix=/usr \
+       --disable-plugins \
+       --disable-gtk \
+       --disable-gnome \
+       --disable-qt \
+       --disable-kde \
+       --disable-qte \
+       --enable-fb \
+       --enable-sdl \
+       --disable-alsa \
+       --disable-xvideo \
+       --disable-dvd \
+       --disable-dvdread \
+       --disable-vcd \
+       --disable-maxosx \
+       --enable-mad \
+       --enable-ffmpeg \
+       --enable-familiar \
+       --with-tuning=strongarm1100 \
+       --x-includes=/skiff/local/arm-linux/include \
+       --x-libraries=/usr/local/arm/2.95.3/arm-linux/usr/X11R6/lib \
+       --with-mad-tree=/home/jpsaman/iPaq/src/mad-0.14.2b \
+       --with-gtk-config-path=/usr/local/arm/2.95.3/arm-linux/usr/bin \
+       --with-gtk-prefix=/usr/local/arm/2.95.3/arm-linux/usr \
+       --with-gpe-prefix=/usr/local/arm/2.95.3/arm-linux/usr \
+       --with-sdl-config-path=/usr/local/arm/2.95.3/arm-linux/usr/bin \
+       --with-sdl-prefix=/usr/local/arm/2.95.3/arm-linux/usr \
+       --with-ffmpeg-tree=/home/jpsaman/iPaq/src/ffmpeg"
+
+export VIDDIR="usr/share/videolan"
+export PIXDIR="usr/share/pixmaps"
+#export DESTDIR=/tmp/vlc
+export DESTDIR=/usr/local/arm/2.95.3/arm-linux
+export PKGDIR=/home/jpsaman/iPaq/packages/vlc-0.5.0
+
+build: build-stamp
+config:
+       ./configure --mandir=$${prefix}/share/man \
+               --infodir=$${prefix}/share/info \
+               --host=arm-linux \
+               --target=arm-linux \
+               $(shell echo $(CONFIG_FLAGS))
+build-stamp:
+# This is ugly -- I know
+#      patch -p 0 < ipkg/patch
+
+       $(MAKE)
+
+       touch build-stamp
+
+clean:
+       rm -f build-stamp
+
+       -$(MAKE) distclean
+
+install: build
+       rm -fr ${PKGDIR}/
+       mkdir -p ${PKGDIR}/CONTROL
+       mkdir -p $(PKGDIR)/usr/bin
+       mkdir -p ${PKGDIR}/usr/share/videolan
+       mkdir -p ${PKGDIR}/usr/lib/menu
+       mkdir -p ${PKGDIR}/usr/lib/videolan/vlc
+       $(STRIP) vlc
+       cp ipkg/control.gpe $(PKGDIR)/CONTROL/control
+       cp ipkg/postinst.gpe ${PKGDIR}/CONTROL/postinst
+       cp ipkg/postrm.gpe ${PKGDIR}/CONTROL/postrm
+       cp share/familiar-* ${PKGDIR}/usr/share/videolan
+       cp share/vlc32x32.xpm ${PKGDIR}/usr/share/videolan
+       cp share/vlc16x16.xpm  ${PKGDIR}/usr/share/videolan
+       cp share/vlc48x48.png  ${PKGDIR}/usr/share/videolan
+       cp vlc $(PKGDIR)/usr/bin
+       cp ipkg/vlc.gpe ${PKGDIR}/usr/lib/menu/vlc
+#      cp plugins/*.so ${PKGDIR}/usr/lib/videolan/vlc
+
+.PHONY: build clean install
+
diff --git a/ipkg/rules.opie b/ipkg/rules.opie
new file mode 100755 (executable)
index 0000000..e40ce9d
--- /dev/null
@@ -0,0 +1,85 @@
+#!/usr/bin/make -f
+# debian/rules for the VideoLAN Client - uses debhelper.
+# based on Joey Hess's one.
+# Kludged for ipkg
+
+# export PATH="$PATH:/usr/local/arm/2.95.3/bin"
+# Compilation options
+export CC=arm-linux-gcc
+export LD=arm-linux-ld
+export AR=arm-linux-ar
+export RANLIB=arm-linux-ranlib
+export STRIP=arm-linux-strip
+export CONFIG_FLAGS="--enable-release --prefix=/usr \
+       --disable-plugins \
+       --disable-gtk \
+       --disable-gnome \
+       --disable-qt \
+       --disable-kde \
+       --enable-qte \
+       --disable-x11 \
+       --enable-fb \
+       --disable-sdl \
+       --disable-alsa \
+       --disable-xvideo \
+       --disable-dvd \
+       --disable-dvdread \
+       --disable-vcd \
+       --disable-maxosx \
+       --enable-mad \
+       --enable-ffmpeg \
+       --disable-familiar \
+       --with-tuning=strongarm1100 \
+       --with-mad-tree=/home/jpsaman/iPaq/src/mad-0.14.2b \
+       --with-qte=/usr/local/arm/2.95.3/arm-linux/opt/QtPalmtop \
+       --with-ffmpeg-tree=/home/jpsaman/iPaq/src/ffmpeg"
+
+export VIDDIR="usr/share/videolan"
+export PIXDIR="usr/share/pixmaps"
+#export DESTDIR=/tmp/vlc
+export DESTDIR=/usr/local/arm/2.95.3/arm-linux
+export PKGDIR=/home/jpsaman/iPaq/packages/opie-vlc-0.5.0
+export QTDIR=/usr/local/arm/2.95.3/arm-linux/opt/QtPalmtop
+
+build: build-stamp
+config:
+       ./configure --mandir=$${prefix}/share/man \
+               --infodir=$${prefix}/share/info \
+               --host=arm-linux \
+               --target=arm-linux \
+               $(shell echo $(CONFIG_FLAGS))
+
+build-stamp:
+# This is ugly -- I know
+#      patch -p 0 < ipkg/patch
+
+       $(MAKE)
+
+       touch build-stamp
+
+clean:
+       rm -f build-stamp
+
+       -$(MAKE) distclean
+
+install: build
+       rm -fr ${PKGDIR}/
+       mkdir -p ${PKGDIR}/CONTROL
+       mkdir -p $(PKGDIR)/usr/bin
+       mkdir -p ${PKGDIR}/usr/share/videolan
+       mkdir -p ${PKGDIR}/usr/lib/menu
+       mkdir -p ${PKGDIR}/usr/lib/videolan/vlc
+       mkdir -p ${PKGDIR}/opt/QtPalmtop/bin
+       mkdir -p ${PKGDIR}/opt/QtPalmtop/apps/Applications
+       $(STRIP) vlc
+       cp ipkg/control.opie $(PKGDIR)/CONTROL/control
+       cp ipkg/postinst.opie ${PKGDIR}/CONTROL/postinst
+       cp ipkg/postrm.opie ${PKGDIR}/CONTROL/postrm
+       cp share/vlc48x48.png  ${PKGDIR}/usr/share/videolan
+       cp vlc $(PKGDIR)/usr/bin
+       cp ipkg/vlc.opie ${PKGDIR}/opt/QtPalmtop/bin/opie-vlc
+       cp ipkg/vlc.desktop ${PKGDIR}/opt/QtPalmtop/apps/Applications
+#      cp plugins/*.so ${PKGDIR}/usr/lib/videolan/vlc
+
+.PHONY: build clean install
+
index 30b86a47953ab82fe9d4b4c4e683bac72cd1de63..4766d17331cd52d767f749120a047afeeb8cbdde 100644 (file)
@@ -1,5 +1,5 @@
 [Desktop Entry]
 Comment=Multiplatform Multimedia Player
-Exec=vlc
-Icon=vlc/vlc48x48.png
+Exec=opie-vlc
+Icon=videolan/vlc48x48.png
 Name=VideoLAN Client
diff --git a/ipkg/vlc.gpe b/ipkg/vlc.gpe
new file mode 100755 (executable)
index 0000000..9284838
--- /dev/null
@@ -0,0 +1,9 @@
+?package(vlc): \
+ needs=x11 \
+ section=Graphics \
+ logtitle="VideoLAN Client" \
+ title="VideoLAN Client" \
+ command="vlc" \
+ icon48=/usr/share/videolan/vlc48x48.png \
+ windowtitle="VideoLAN Client"
+
diff --git a/ipkg/vlc.opie b/ipkg/vlc.opie
new file mode 100755 (executable)
index 0000000..95ebede
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/sh
+export QTDIR=/opt/QtPalmtop
+export LD_LIBRARY_PATH=.:/usr/X11R6/lib:/opt/QtPalmtop/lib:/usr/lib/videolan/vlc
+if [ "$*" = "" ] ; then
+   /usr/bin/vlc udp://@:1234
+else
+   /usr/bin/vlc $*
+fi
+